#
# spec file for package perl-DateTime-Locale
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with test

Name:           perl-DateTime-Locale
%define cpan_name DateTime-Locale
Summary:        Localization support for DateTime.pm
Version:        0.45
Release:        34.1
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DateTime-Locale/
#Source:         http://www.cpan.org/modules/by-module/DateTime/DateTime-Locale-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%if %{with test}
BuildRequires:  perl(Test::Output)
#BuildRequires:  perl(Test::Pod)
#BuildRequires:  perl(Test::Pod::Coverage)
%endif
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Params::Validate) >= 0.91
#
Requires:       perl(List::MoreUtils)
Requires:       perl(Params::Validate) >= 0.91
#
#Conflicts:      perl(DateTime::Format::Strptime) >= 1.1000

%description
DateTime::Locale is primarily a factory for the various locale subclasses.
It also provides some functions for getting information on all the
available locales.

If you want to know what methods are available for locale objects,
then please read the DateTime::Locale::Base documentation.

%prep
%setup -q -n %{cpan_name}-%{version}
# rpmlint: spurious-executable-perm
find . -type f -print0 | xargs -0 chmod 644
%if 0%{?rhel_version} || 0%{?centos_version}
%{__rm} -rf tools
%endif

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,-)
%if 0%{suse_version}
%doc Changes LICENSE README SIGNATURE tools
%else
%doc Changes LICENSE README SIGNATURE
%endif

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Aug 29 2011 chris@computersalat.de
- fix build/deps for RHEL, CentOS
  * AutoReq seem to be broken: need to remove tools dir, cause otherwise
    wrong Requires would be defined, e.g. perl(Moose),....
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Jul 16 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- added bcond_with test
* Sun Apr 11 2010 chris@computersalat.de
- update to 0.45
  - Installing this release will cause older versions of
    DateTime::Format::Strptime to warn like crazy. Please update
    DateTime::Format::Strptime if you install this release.
  - This is an interim release still based on CLDR 1.7.1 pending the release of
    Locale::CLDR, which will happen real soon now, for some definition of soon.
  - Removed dependency on Class::ISA and just copied what we need from said
    module directly. Class::ISA warns as deprecated if used with Perl 5.11.0,
    even though it works just fine (doh). RT #53940.
  - All methods deprecated in the last release now warn when called.
  - Added methods to return per-locale strftime formats from the glibc
    data. These methods are not yet documented. They are just there for now to
    allow me to update DateTime::Format::Strptime.
- 0.44   2009-09-12
  - All methods which return strftime-style patterns are officially deprecated
    (and have been a little broken for some time, regardless). This includes all
    date and time format methods ending in "_format".
  - Other deprecated methods include:
    date_parts_order, date_before_time
    era, eras
    month_name, month_abbreviation, month_narrow
    month_names, month_abbreviations, month_narrows
    day_name, day_abbreviation, day_narrow
    day_names, day_abbreviations, day_narrows
    quarter_name, quarter_abbreviation, quarter_narrow
    quarter_names, quarter_abbreviations
    am_pm, am_pms
    era_name, era_abbreviation
    era_narrow, era_names, era_abbreviations
  - All of these deprecated methods will eventually be removed. If you are using
    them directly, please change your code.
  - Converted data files in tools/t/test-data to Unix line endings. This works
    around a bug in Module::Signature. Reported by Zefram. RT #49085.
  - Require Params::Validate 0.91, since 0.89 caused test failures for
    someone. Reported by Jeremy Hetzler. RT #41365.
  - Moved code to my hg repo at http://hg.urth.org/hg/DateTime-Locale.
- 0.43   2009-06-30
  - Based on CLDR 1.7.1, which includes support for several new
    languages, as well as lots of changes.
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o removed useless comments
  o fixed Header
  o fixed License
  o fixed deps
  - perl-macros < 1120
  - perl(Params::Validate) >= 0.91
  o fixed description
  o moved changelog to changes file
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
* Sun Oct 26 2008 gerrit.beine@gmx.de
- update to 0.42
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.4001
